Gets an application by ID, including its scopes and enabled status.
curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/oidc-applications/{applicationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/oidc-applications/{applicationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/identity/v1/oidc-applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "<string>",
"displayName": "<string>",
"isEnabled": true,
"scopes": [
"<string>"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Identity
Gets an application by ID, including its scopes and enabled status.
Token types: APP, USER | Required scopes: oidc:app:read
GET
/
identity
/
v1
/
oidc-applications
/
{applicationId}
Gets an application by ID, including its scopes and enabled status.
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The ID of the application.
Was this page helpful?
Lists all applications across the caller's organization hierarchy with child organization type counts.Updates payment rail scopes for an application.
⌘I